From d1f1d7904c48cf61d0e873cd25ca4c5aeebdbc0b Mon Sep 17 00:00:00 2001
From: Kalle Valo <kvalo@codeaurora.org>
Date: Thu, 28 Apr 2016 12:04:06 +0300
Subject: [PATCH 1/5] pwcli: add review command

Review command changes the state of patches to 'Under Review'.

Signed-off-by: Kalle Valo <kvalo@codeaurora.org>
---

Copyright (c) 2016, The Linux Foundation.
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are
met:

1. Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.

3. Neither the name of the copyright holder nor the names of its
contributors may be used to endorse or promote products derived from
this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
"AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

 pwcli |   43 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 43 insertions(+)

diff --git a/pwcli b/pwcli
index fba5a904e03d..76c1a6eb1593 100755
--- a/pwcli
+++ b/pwcli
@@ -761,6 +761,45 @@ class PWCLI():
       patch = self.patches[i]
       self.show_patch(patch)
 
+   def cmd_review(self, args):
+      logger.debug('cmd_commit(args=%r)' % args)
+      indexes = parse_list(args.ids)
+
+      if self.patches == None:
+         self.output('No patches listed, forgot to run list command?')
+         return
+
+      if len(self.patches) == 0:
+         self.output('No patches available, doing nothing.')
+         return
+
+      for index in indexes:
+         if index > len(self.patches):
+            self.output('Patch index %d not found, max %d' %
+                        (index, len(self.patches)))
+            return
+
+      selected_patches = []
+
+      for i in indexes:
+         selected_patches.append(self.patches[i])
+
+      for patch in selected_patches:
+         self.output('[%-3d] %s %s' % (i, patch.get_id(), patch.get_name()))
+
+      self.output('------------------------------------------------------------')
+
+      answer = self.input('Set to %d patch(es) to Under Review state? [y/N] ' % len(selected_patches))
+      answer = answer.lower()
+
+      if answer != 'y':
+         return
+
+      for patch in selected_patches:
+         patch.set_state_name('Under Review')
+
+      self.output('%d patches set to Under Review' % len(selected_patches))
+
    def cmd_reply(self, args):
       logger.debug('cmd_reply(args=%s)' % repr(args))
 
@@ -812,6 +851,10 @@ class PWCLI():
       parser_commit.add_argument('ids', metavar='IDs', nargs='+')
       parser_commit.set_defaults(func=self.cmd_commit)
 
+      parser_review = subparsers.add_parser('review')
+      parser_review.add_argument('ids', metavar='IDs', nargs='+')
+      parser_review.set_defaults(func=self.cmd_review)
+
       parser_show = subparsers.add_parser('show')
       parser_show.add_argument('id', metavar='ID', nargs=1)
       parser_show.set_defaults(func=self.cmd_show)
-- 
1.7.9.5

